<!-- QANav Report Tracker Copyright 2004 - 2008 Ronald D. Grindle -->
<%@ page language="java" pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>
<%@ page import="com.qanavigation.Basics.*" %>
<%@ page import="com.qanavigation.QNservices.*" %>
<%@ page import="java.util.ArrayList" %>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<fmt:setBundle basename="QNLabels"/>

<%
	int i, x;

	String tableName;
	String appx;
	String[] colNames;

	String val, val2;

	RsltTable rTbl;

	Rslt res = new Rslt( true );

	//ResourceBundle resBndl = ResourceBundle.getBundle("QNLabels", request.getLocale() );
	//QNRscBundle resBndl = new QNRscBundle( "QNLabels", request.getLocale() );

	//SrvltReqTools sTools = new SrvltReqTools( request );

	QNDBacc2 dBAcc = new QNDBacc2();
	
	UserTool uTool = new UserTool( dBAcc.m_DB );

	res.checkRslt( uTool );
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
  <HEAD>
    <TITLE>QA Navigation Report Tracker Groups Management</TITLE>

		<meta name="DC.Title" content="Groups Management">
		<meta name="DC.Creator" content="Ronald D. Grindle">
		<meta name="DC.Publisher" content="QA Navigation">
		<meta name="DC.Date" content="2008-06-12">
		<meta name="DC.Identifier" content="http://www.qa-navigation.com/">
		<meta name="DC.Rights" content="Alle Rechte liegen beim Autor">

		<link rel=stylesheet type="text/css" href="../incl/DialStyle.css" >

<script type="text/javascript" src="../incl/dhtml.js"></script>
<script type="text/javascript" src="../incl/DialTools.js"></script>

<script type="text/javascript">
<!--

var m_href = self.location.href;

// ----------------------------------------------
// execution window
function execWinDone() {

	hideD( "dialExecWin" );
	//blurFocus( "butExecWinOK" );

	theFrm = document.getElementById( "ifrmExecDial" );
	theFrm.src = "";

	myReload();
}

// ----------------------------------------------
function addGrp() {

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theForm = document.getElementById( "formAddGrp" );
	theForm.submit();
}

// ----------------------------------------------
function delGroup( p_GName ) {

	var name;

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theFrm = document.getElementById( "ifrmExecDial" );

	//name = encodeURI( p_GName );

	theFrm.src = "../AdmUser?QNA=DelGrp&Grp=" + p_GName;
}

// ----------------------------------------------
function goBack( uName ) {

	self.location.href = "AdminUsers.jsp";
}

// ----------------------------------------------
function logOff() {

	//self.location.href = "../LogdOff.jsp";
	self.close();
}

// ----------------------------------------------
function Startup() {

	
}

// -->
</script>
</head>

<body onLoad="Startup()">

<%
	if( !request.isUserInRole( "sp" ) && !request.isUserInRole( "adm" ) ) {
%>
	<p>You are not authorized to access this utility.</p>   
<%
	}
	else {
%>

	<a href="#Top"></a>

	<table width="98%">
		<tr><td>
			<table border="0" align="left">
				<tr>
					<td>
						<button Name="MngAppls" ID="btnMngAppls" onClick="location.href='MngAppls.jsp'">Manage Applications</button>
					</td>
					<td>
						<button Name="AdminUsers" ID="btnAdminUsers" onClick="location.href='AdminUsers.jsp'">Manage Users</button>
					</td>
				</tr>
			</table>		
		</td></tr>
	</table>

	<h2><a href="#UGroups">User Groups</a></h2>	

	<hr></hr>

	<p style="font-size:150%"><a name="UGroups"></a><b>User Groups</b></p>

	<form id="formAddGrp" action="../AdmUser" method="post" target="ifrmExecDial">
		<table>
			<tr>
	
				<input name="QNA" type="hidden" value="AddGrp"/>
				<td width="70px">Group</td>
				<td><input ID="inGrp" name="Grp" type="text" size="30"/></td>

				<td><button onClick="addGrp()">Add Group</button></td>
			</tr>
		</table>
	</form>
	
	<p></p>
	
	<p><b>Group List</b></p>
	<table Name="tbGrps" ID="tbGrps">
		<tr><td><b>Group</b></td><td>&nbsp;</td></tr>
<%

		rTbl = uTool.getUGroupLst();
	
		if( res.checkRslt( rTbl ) ) {
		
			x = rTbl.size();
	
			for( i = 0; i < x; ++i ) {
				
				val = rTbl.getCell( 0, i );
	
				out.println( "<tr><td>" + val + "</td>"  );	
				out.println( "<td><button onClick=\"delGroup('" + SFormatter.encodeURL( val ) + "')\">Remove Group</button></td></tr>" );
			}
		}
	
		if( res.isInStat( RsltStatVal.isEmpty ) ) {
	
			res.setOK();
		}
%>

	</table>

	<hr></hr>

	<p><a href="#Top">To Top</a></p>

<%
		if( res.notOK() ) {
	
			out.println( "<p>Error, check log.</p>" );
			SrvltReqTools.logErr( this, request, res );
/*
			int ii, xx;
			ArrayList addInfo;
	
			String ss;
			
			addInfo = res.getRsltAddInfo();
	
			out.println( "### piQa Error Info ###<br>" );
			
			out.println( "Session ID: '" + request.getSession().getId() + "'<br>" );

//	 add user and application info!						
		/ *			
   		out.println( "Path: '" + request.getPathInfo() + "'<br>" );
			out.println( "Path2: '" + request.getContextPath() + "'<br>" );
			out.println( "Path3: '" + request.getPathTranslated() + "'<br>" );
			out.println( "Path4: '" + request.getRequestURI() + "'<br>" );
			out.println( "Path: '" + request.getServletPath() + "'<br>" );
		* /
			
			out.println( "URL: '" + request.getRequestURL() + "'<br>" );
			
			out.println( "RemUser: '" + request.getRemoteUser() + "'<br>" );
			   
			out.println( "Request string: '" + request.getQueryString() + "'<br>" );
			
			out.println( "--- Rslt info:<br>" );
			   
			xx = addInfo.size();
				
			for( ii = 0; ii < xx; ++ii ) {
	
				ss = (String)addInfo.get( ii );
				ss += "<br>";
				
				out.println(  ss );
			}
			
			out.println( "--- Rslt status: " + RsltStatVal.label[ res.getRsltStatVal() ] + "<br>" ); 
	
*/
		}
	}
%>

<%@ include file="../jspf/ComnDial.jspf" %>

<%	
	dBAcc.close();
%>
	
	<!-- required to fix IE Problem with select fields protruding -->
	<iframe id="selHider" src="javascript:'&lt;html&gt;&lt;/html&gt;';" scrolling="no" frameborder="0" style="position:absolute;width:200px;height:100px;top:-1200;left:20;border:none;display:block;z-index:0;filter:Alpha(opacity=0)"></iframe>

</body>
</html>
