// QANav Report Tracker Copyright 2004 - 2009 Ronald D. Grindle
// Private Routines for TREdit.jsp

// ------------------------------------------
// ToDo: Put in order of their appearance
function checkAllInput() {

	var isNewF;
	var isOK = true;

	isOK &= checkInput( "Title", lblTitle );

	isOK &= checkInput( "Appl", lblAppl );
	
	isOK &= checkInput( "UseCase", lblUseCase );
	
 	isNewF = getRadioVal( "NewF" );
	
	if( isNewF != "F" ) {

		isOK &= checkRBut( "ApplStat", lblApplStatAErr );
	
		isOK &= checkRBut( "ProbCodeBut", lblProbCode );
	
		isOK &= checkRBut( "DataStat", lblDataStat );
	
		isOK &= checkRBut( "Repro", lblReprobl );
	}

	isOK &= checkInput( "Author", lblUser );

	isOK &= checkInput( "Date", lblDate );

	isOK &= checkInput( "SoftRel", lblVer );

	isOK &= checkInput( "ExSys", lblSys );

	isOK &= securityCheck( "WDYD", lblExpctdQ );

	isOK &= securityCheck( "Expctd", lblActStatQ );

	isOK &= securityCheck( "Observ", lblObsrvQ );

	isOK &= securityCheck( "FileDesc", lblAddDataEtc );

	//isOK &= checkInput( "Fctn", lblFctn );

	if( isNewTstProb ) {

		isOK &= checkInput( "TCExTitle", lblTCExTitle );
	}

	if( isNewTstProb ) {

		isOK &= checkInput( "TCExUID", lblTCExUID );
	}

	/* 2008-08-10 superflous? if( isOK && isNewTstProb ) {
		isOK = checkInput( "TCtitle", lblTC );
	}*/

	isOK &= checkInput( "Time", lblTime );

	if( !( isOK ) ) {

		parent.notifyEvent( "resetErr", errFldNotFill );
		alert( decodeHTML( errFldNotFill ) );
	}

	return isOK;
}

/* should be generalized */
// ------------------------------------------
function doSubmit() {

	isOK = checkAllInput();

	if( isOK ) {

		doProbClsCalc();

		theIn = document.getElementsByName( "QNA" )[0];
		theIn.value = "IssProb";

		theIn = document.getElementsByName( "ProbStat" )[0];

		if( theIn.value == "dr" ) {

			theIn.value = "sb";
		}

		document.forms[0].action = "VTRFr.jsp"
		document.forms[0].target = "_parent";

		document.forms[0].submit();
	}

	return isOK;
}

/* could be generalized */
// ------------------------------------------
function doSave() {
	
	isOK = checkInput( "Title", lblTitle );

	if( isOK ) {

		doProbClsCalc();

		theIn = document.getElementsByName( "QNA" )[0];
		theIn.value = "UplProb";

		document.forms[0].action = "EditTR.jsp"
		document.forms[0].submit();
	}
	else {

		parent.notifyEvent( "resetErr", errFldNotFill );
		//alert( errFldNotFill );
	}
}

// ------------------------------------------
// only for testing purposes
function setForTest( ) {

	document.getElementsByName( "Title" )[0].value = "xxxxx Test xxxxx";

	document.getElementsByName( "WDYD" )[0].value = "Test WDYD";

	document.getElementsByName( "Expctd" )[0].value = "Test Expctd";

	document.getElementsByName( "Observ" )[0].value = "Test Observ";

	document.getElementsByName( "Fctn" )[0].value = "Test Fctn";

	//document.getElementsByName( "SoftRel" )[0].value = "Test SoftRel";

	preSelRadioByVal( "ApplStat", "R" );

	theRadio = document.getElementsByName( "ProbCodeBut" );
	theRadio[0].checked = true;
	theRadio = document.getElementsByName( "DataStat" );
	theRadio[0].checked = true;
	theRadio = document.getElementsByName( "Repro" );
	theRadio[0].checked = true;
}