/* Copyright (c) 2004 -2009 Ronald D. Grindle. All rights reserved. */

var sldMenBut;
var sldMenMax;
var sldMenMin;
var sldMenStyle;
var sldMenTblStyle;

var vInSlider;
var vOutSlider;

// Vertical-Slide-In Menu, based at the bottom
/* Required initialization:
	sldMenMin = 42;
	
	sldMen = document.getElementById("sldMenBar");

	sldMenStyle = document.getElementById("sldMenBar").style; 
	
	sldMenStyle.height = sldMenMin;

	sldMenMax = getElemHight( "tbButMenu" ); 

	The div:
	<div id="sldMenBar" style="bottom:0px;overflow:hidden;position:absolute" onMouseover="vSlideOut();" onMouseout="vSlideIn();">
*/

// ------------------------
function initVSldMen( p_Min ) {

	var obj;

	sldMenMin = p_Min;
	
	sldMenBut = document.getElementById("sldMenBut");
	
	obj = document.getElementById("vSldMenBar");
	
	if( obj != undefined ) {
	
		sldMenStyle = obj.style;
		
		sldMenStyle.height = sldMenMin;
	}
	
	obj = document.getElementById("tbButMenu");
	
	if( obj != undefined ) {
	
		sldMenTblStyle = obj.style;
		
		sldMenMax = getElemHight( "tbButMenu" ) + 10;
	}	
}

// -----------------------
function vSlideOut(){

	if( window.vInSlider ) {

		clearInterval( vInSlider )
	}

	vOutSlider = setInterval( "doVSlideOut()", 15 );
}

// -----------------------
function vSlideIn(){

	clearInterval( vOutSlider );

	vInSlider = setInterval( "doVSlideIn()", 15 );
}

// -----------------------
function doVSlideOut(){

	var h;

	if( sldMenStyle == undefined ) {

		h = sldMenMin;
	}
	else {

		h = parseInt( sldMenStyle.height );

		if( h == sldMenMin ) {
		
	//sldMenStyle.border = "1px solid black";
		
			sldMenTblStyle.border = "1px solid black";
		}

		if( h < sldMenMax ) {

			sldMenStyle.height = h + 10 + "px";
		}
		else if( window.vOutSlider ){

			sldMenStyle.height = sldMenMax;
			clearInterval( vOutSlider );
			
			sldMenBut.src = "rsc/ArrDwn.gif";
			sldMenBut.onclick = vSlideIn;			
		}
	}
}

// -----------------------
function doVSlideIn(){

	var h;
	
	h = parseInt( sldMenStyle.height );

	if( h > sldMenMin ) {

		sldMenStyle.height = h - 10 + "px";
	}
	else if( window.vInSlider ) {

		sldMenStyle.height = sldMenMin;
		sldMenTblStyle.border = "0px";
		clearInterval( vInSlider );
		
		sldMenBut.src = "rsc/ArrUp.gif";
		sldMenBut.onclick = vSlideOut;
	}
}
