<!-- QANav Report Tracker Copyright 2004 - 2008 Ronald D. Grindle -->
<%@ page language="java" pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>
<%@ page import="com.qanavigation.Basics.*" %>
<%@ page import="com.qanavigation.QNservices.*" %>
<%@ page import="java.util.ArrayList" %>

<%@ page import="RTtools.QNDefsCust" %>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<fmt:setBundle basename="QNLabels"/>

<%
	if( !( request.isUserInRole( "sp" ) || request.isUserInRole( "adm" ) || request.isUserInRole( "dpl" ) ) ) {
%>
	<p>You are not authorized to access this utility.</p>   
<%
    return;
	}

	int i, x;

	String tableName;
	String appx;
	String[] colNames;

	String val, val2;

	RsltTable rTbl;

	Rslt res = new Rslt( true );

	//ResourceBundle resBndl = ResourceBundle.getBundle("QNLabels", request.getLocale() );
	//QNRscBundle resBndl = new QNRscBundle( "QNLabels", request.getLocale() );

	//SrvltReqTools sTools = new SrvltReqTools( request );

	QNDBacc2 dBAcc = new QNDBacc2();
	
	UserTool uTool = new UserTool( dBAcc.m_DB );

	res.checkRslt( uTool );
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
  <HEAD>
    <TITLE>QA Navigation Report Tracker Products Management</TITLE>

		<meta name="DC.Title" content="Groups Management">
		<meta name="DC.Creator" content="Ronald D. Grindle">
		<meta name="DC.Publisher" content="QA Navigation">
		<meta name="DC.Date" content="2008-06-12">
		<meta name="DC.Identifier" content="http://www.qa-navigation.com/">
		<meta name="DC.Rights" content="Alle Rechte liegen beim Autor">

		<link rel=stylesheet type="text/css" href="../incl/DialStyle.css" >

<script type="text/javascript" src="../incl/dhtml.js"></script>
<script type="text/javascript" src="../incl/DialTools.js"></script>

<script type="text/javascript">
<!--

var m_href = self.location.href;

// ----------------------------------------------
// execution window
function execWinDone() {

	hideD( "dialExecWin" );
	//blurFocus( "butExecWinOK" );

	theFrm = document.getElementById( "ifrmExecDial" );
	theFrm.src = "";

	myReload();
}

// ----------------------------------------------
function addBrnch() {

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theForm = document.getElementById( "formAddBrnch" );
	theForm.submit();
}

// ----------------------------------------------
function addProd() {

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theForm = document.getElementById( "formAddProd" );
	theForm.submit();
}

// ----------------------------------------------
function addRel() {

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theForm = document.getElementById( "formAddRel" );
	theForm.submit();
}

// ----------------------------------------------
function addSys() {

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theForm = document.getElementById( "formAddSys" );
	theForm.submit();
}

// ----------------------------------------------
function delBrnch( p_Val ) {

	var name;

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theFrm = document.getElementById( "ifrmExecDial" );

	//name = encodeURI( p_GName );

	theFrm.src = "../AdmUser?QNA=DelBrnch&Val=" + p_Val;
}

// ----------------------------------------------
function delProd( p_PName ) {

	var name;

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theFrm = document.getElementById( "ifrmExecDial" );

	//name = encodeURI( p_GName );

	theFrm.src = "../AdmUser?QNA=DelProd&Prod=" + p_PName;
}

// ----------------------------------------------
function delRel( p_Prod, p_Rel ) {

	var name;

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theFrm = document.getElementById( "ifrmExecDial" );

	//name = encodeURI( p_GName );

	theFrm.src = "../AdmUser?QNA=DelRel&Prod=" + p_Prod + "&Rel=" + p_Rel;
}

// ----------------------------------------------
function delSys( p_Sys ) {

	var name;

	showD( "dialExecWin", 50 );
	setFocus( "butExecWinOK" );

	theFrm = document.getElementById( "ifrmExecDial" );

	//name = encodeURI( p_GName );

	theFrm.src = "../AdmUser?QNA=DelSys&Sys=" + p_Sys;
}

// ----------------------------------------------
function goBack( uName ) {

	self.location.href = "AdminUsers.jsp";
}

// ----------------------------------------------
function logOff() {

	//self.location.href = "../LogdOff.jsp";
	self.close();
}

// ----------------------------------------------
function Startup() {

	
}

// -->
</script>
</head>

<body onLoad="Startup()">

	<h2><a name="Top"></a>Managing Application Information</h2>
	
	<table width="98%">
		<tr><td>
			<table border="0" align="left">
				<tr>
					<td>
						<button Name="MngGrps" ID="btnMngGrps" onClick="location.href='MngGroups.jsp'">Manage Groups</button>
					</td>
					<td>
						<button Name="AdminUsers" ID="btnAdminUsers" onClick="location.href='AdminUsers.jsp'">Manage Users</button>
					</td>
				</tr>
			</table>		
		</td></tr>
	</table>	

	<h2><a href="#ProdRel">Product Releases</a></h2>
	<h2><a href="#Prods">Products</a></h2>
	<h2><a href="#Systems">Systems</a></h2>	

	<hr></hr>
	
<%-- TCOM Branch --%>
	<p style="font-size:150%"><a name="Branchs"></a><b>Branches</b></p>

	<form id="formAddBrnch" action="../AdmUser" method="post" target="ifrmExecDial">
		<table>
			<tr>
	
				<input name="QNA" type="hidden" value="AddBrnch"></input>
				<td width="70px">Branch</td>
				<td><input ID="inBrnch" name="Brnch" type="text" size="30"/></td>

				<td><button onClick="addBrnch()">Add Branch</button></td>
			</tr>
		</table>
	</form>
	
	<p></p>
	
	<p><b>Branch List</b></p>
	<table ID="tbBrnchs">
		<tr><td><b>Branch</b></td><td>&nbsp;</td></tr>
<%

	tableName = "DataLst";
	appx = " WHERE Name = 'DevBranch'";
	colNames = new String[1];
	colNames[0] = "Val";
	
	rTbl = dBAcc.m_DB.select( tableName, colNames, appx );

	if( res.checkRslt( rTbl, true ) ) {
	
		x = rTbl.size();

		for( i = 0; i < x; ++i ) {
			
			val = rTbl.getCell( 0, i );

			out.println( "<tr><td><pre>" + val + "</pre></td>"  );	
			out.println( "<td><button onClick=\"delBrnch('" + SFormatter.encodeURL( val ) + "')\">Remove Branch</button></td></tr>" );
		}
	}
%>

	</table>
	
	<p><a href="#Top">To Top</a></p>
<%-- TCOM Branch End --%>	
	
	<!-- table>
		<tr>
			<td>
				<button Name="Back" ID="btnBack" onClick="goBack()">Admin Users</button>
			</td>
			<td>
				<button Name="Quit" ID="btnQuit" onClick="logOff()">Quit</button>
			</td>
		</tr>
	</table -->

	<hr></hr>

	<p style="font-size:150%"><a name="ProdRel"></a><b>Product Releases</b></p>

	<form id="formAddRel" action="../AdmUser" method="post" target="ifrmExecDial">
		<table>
			<tr>
				<td>Product<input name="QNA" type="hidden" value="AddRel"/></td>
				<td>
					<select name="Prod" size="1">
<%
		tableName = "Prods";
		appx = " ORDER BY LOWER( CONVERT( " + QNDefs.c_ColName + " USING latin1 ))";
		colNames = new String[1];
		colNames[0] = QNDefs.c_ColName;

		rTbl = dBAcc.m_DB.select( tableName, colNames, appx );

		if( rTbl.isOK() ) {
		
			x = rTbl.size();

			for( i = 0; i < x; ++i ) {
				
				val = rTbl.getCell( 0, i );
				out.println( "<option value=\"" + val + "\">" + val + "</option>" );
			}
		}
%>
					</select>
				</td>
				<td>Release</td>
				<td><input ID="inRel" name="Rel" type="text" size="30"/></td>
				<td><button onClick="addRel()">Add Product Release</button></td>
			</tr>
		</table>
	</form>	

	<p></p>
	
	<p><b>Product Release List</b></p>
	<table ID="tbRels">
		<tr><td><b>Product</b></td><td><b>Release</b></td><td>&nbsp;</td></tr>
<%
		tableName = "ProdRels";
		appx = " ORDER BY LOWER( CONVERT( Prod USING latin1 ))";
		colNames = new String[2];
		colNames[0] = "Prod";
		colNames[1] = "Rel";

		rTbl = dBAcc.m_DB.select( tableName, colNames, appx );

		if( rTbl.isOK() ) {
		
			x = rTbl.size();

			for( i = 0; i < x; ++i ) {
				
				val = rTbl.getCell( 0, i );
				val2 = rTbl.getCell( 1, i );

				out.println( "<tr><td><pre>" + val + "</pre></td>"  );	
				out.println( "<td><pre>" + val2 + "</pre></td>"  );	
				out.println( "<td><button onClick=\"delRel('" + SFormatter.encodeURL( val ) + "', '" + SFormatter.encodeURL( val2 ) + "')\">Remove Release</button></td></tr>" );
			}
		}
%>
	</table>

	<p><a href="#Top">To Top</a></p>		

	<hr></hr>

	<p style="font-size:150%"><a name="Prods"></a><b>Products</b></p>

	<form id="formAddProd" action="../AdmUser" method="post" target="ifrmExecDial">
		<table>
			<tr>
				
					<input name="QNA" type="hidden" value="AddProd"/>
					<td width="70px">Product</td>
					<td><input ID="inProd" name="Prod" type="text" size="30"/></td>
	
					<td><button onClick="addProd()">Add Product</button></td>
			</tr>
		</table>
	</form>

	<p></p>
		
	<p><b>Product List</b></p>

	<table ID="tbProds">
		<tr><td><b>Product</b></td><td>&nbsp;</td></tr>
<%
		tableName = "Prods";
		appx = " ORDER BY LOWER( CONVERT( " + QNDefs.c_ColName + " USING latin1 ))";
		colNames = new String[1];
		colNames[0] = QNDefs.c_ColName;

		rTbl = dBAcc.m_DB.select( tableName, colNames, appx );

		if( rTbl.isOK() ) {
		
			x = rTbl.size();

			for( i = 0; i < x; ++i ) {
				
				val = rTbl.getCell( 0, i );
				out.println( "<tr><td><pre>" + val + "</pre></td>"  );	
				out.println( "<td><button onClick=\"delProd('" + SFormatter.encodeURL( val ) + "')\">Remove Product</button></td></tr>" );
			}
		}
%>

	</table>

	<p><a href="#Top">To Top</a></p>

	<hr></hr>

	<p style="font-size:150%"><a name="Systems"></a><b>Systems</b></p>

	<form id="formAddSys" action="../AdmUser" method="post" target="ifrmExecDial">
		<table>
			<tr>

				<input name="QNA" type="hidden" value="AddSys"/>
				<td>System</td>
				<td><input ID="inSys" name="Sys" type="text" size="30"/></td>

				<td><button onClick="addSys()">Add System</button></td>
			</tr>
		</table>
	</form>	

	<p></p>
	
	<p><b>Systems List</b></p>
	<table Name="tbRelss" ID="tbRels">
		<tr><td><b>System</b></td><td>&nbsp;</td></tr>
<%
		tableName = "Systems";
		appx = " ORDER BY LOWER( CONVERT( " + QNDefs.c_ColName + " USING latin1 ))";
		colNames = new String[2];
		colNames[0] = QNDefs.c_ColName;

		rTbl = dBAcc.m_DB.select( tableName, colNames, appx );

		if( rTbl.isOK() ) {
		
			x = rTbl.size();

			for( i = 0; i < x; ++i ) {
				
				val = rTbl.getCell( 0, i );

				out.println( "<tr><td><pre>" + val + "</pre></td>"  );
				out.println( "<td><button onClick=\"delSys('" + SFormatter.encodeURL( val ) + "')\">Remove System</button></td></tr>" );
			}
		}
%>
	</table>

	<p><a href="#Top">To Top</a></p>

<%
	if( res.notOK() ) {

		out.println( "<p>Error, check log.</p>" );
		SrvltReqTools.logErr( this, request, res );
/*
		int ii, xx;
		ArrayList addInfo;

		String ss;
		
		addInfo = res.getRsltAddInfo();

		out.println( "### piQa Error Info ###<br>" );
		
		out.println( "Session ID: '" + request.getSession().getId() + "'<br>" );

//	 add user and application info!						
		/*			
   		out.println( "Path: '" + request.getPathInfo() + "'<br>" );
			out.println( "Path2: '" + request.getContextPath() + "'<br>" );
			out.println( "Path3: '" + request.getPathTranslated() + "'<br>" );
			out.println( "Path4: '" + request.getRequestURI() + "'<br>" );
			out.println( "Path: '" + request.getServletPath() + "'<br>" );
		* /
			
		out.println( "URL: '" + request.getRequestURL() + "'<br>" );
		
		out.println( "RemUser: '" + request.getRemoteUser() + "'<br>" );
		   
		out.println( "Request string: '" + request.getQueryString() + "'<br>" );
		
		out.println( "--- Rslt info:<br>" );
		   
		xx = addInfo.size();
			
		for( ii = 0; ii < xx; ++ii ) {

			ss = (String)addInfo.get( ii );
			ss += "<br>";
			
			out.println(  ss );
		}
		
		out.println( "--- Rslt status: " + RsltStatVal.label[ res.getRsltStatVal() ] + "<br>" ); 

	// */
	}

%>

<%@ include file="../jspf/ComnDial.jspf" %>

<%	
	dBAcc.close();
%>

	<!-- required to fix IE Problem with select fields protruding -->
	<iframe id="selHider" src="javascript:'&lt;html&gt;&lt;/html&gt;';" scrolling="no" frameborder="0" style="position:absolute;width:200px;height:100px;top:-1200;left:20;border:none;display:block;z-index:0;filter:Alpha(opacity=0)"></iframe>

</body>
</html>
