<!-- QANav Report Tracker Copyright 2004 Ronald D. Grindle -->
<%@ page language="java" pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>
<%@ page errorPage="/ErrPage.jsp" %>
<%@ page import="java.io.*" %>
<%@ page import="java.util.*" %>
<%@ page import="org.apache.commons.fileupload.*" %>
<%@ page import="org.apache.commons.fileupload.disk.*" %>
<%@ page import="org.apache.commons.fileupload.servlet.*" %>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
	<title>FileUpload.jsp</title>

	<meta name="Author" content="Ronald D. Grindle">
  <meta name="Version" content="V00.01.01">
  <meta name="Date" content="2000.09.19">
  <meta name="Description" content="Testing JSP">
<script type="text/javascript">
<!--

function Startup() {

	if( parent !== undefined ) {

		if( parent.m_ImHere != undefined ) {

			parent.notify( "Blank" );
		}
	}
}

// -->
</script>
</head>

<body onLoad="Startup()">
<%

boolean isInMemory;

byte[] input;

Date now;

File file;
FileOutputStream fos;

long milli;
long sizeInBytes;

String contentType;
String fieldName;
String fileNamePth;
String key;
String pth;
String name;
String value;

// ---------------------------------
try {

	boolean isMultipart = ServletFileUpload.isMultipartContent(request);

	out.println( "<p>IsMultipart: '" + isMultipart + "'</p>" );

	// Create a factory for disk-based file items
	DiskFileItemFactory factory = new DiskFileItemFactory();

/*
	// Set factory constraints
	factory.setSizeThreshold(1000000);
	File rep = new File( "./tmp" );
	factory.setRepository( rep );
*/

	// Create a new file upload handler
	ServletFileUpload upload = new ServletFileUpload(factory);

	// Set overall request size constraint
	//upload.setSizeMax(1000000);

	// Parse the request
	List /* FileItem */ items = upload.parseRequest(request);

	Iterator iter = items.iterator();

	while( iter.hasNext() ) {

		FileItem item = (FileItem) iter.next();

		fieldName = item.getFieldName();
		out.println( "<p>Field: '" + fieldName + "'</p>" );

 		if( item.isFormField() ) {

			value = item.getString();
			out.println( "<p>Value: '" + value + "'</p>" );
		}
		else {

			out.println( "<p>---------</p>" );

			int p1, p2, pos;

			fileNamePth = item.getName();

			p1 = fileNamePth.lastIndexOf( "\\" );
			p2 = fileNamePth.lastIndexOf( "/" );

			pos = p1 > p2 ? p1 : p2;

			pth = fileNamePth.substring( 0, pos + 1);
			name = fileNamePth.substring( pos + 1 );

			out.println( "<p>File Name: '" + name + "'</p>" );
			out.println( "<p>File Path: '" + pth + "'</p>" );

			contentType = item.getContentType();
			out.println( "<p>Content Type: '" + contentType + "'</p>" );

			isInMemory = item.isInMemory();
			out.println( "<p>Is in Mem: '" + isInMemory + "'</p>" );

			sizeInBytes = item.getSize();
			out.println( "<p>Size: '" + sizeInBytes + "'</p>" );

			//String content = item.getString();
			//out.println( "<p>Content: </p><p>'" + content + "'</p>" );

			input = item.get();

			pth = request.getSession().getServletContext().getRealPath( "." );
			pth = pth.substring( 0, (pth.length() - 1) );

			out.println( "<p>Path: '" + pth + "'</p>" );

			now = new Date();
			milli = now.getTime();
			key = Long.toString( milli );

			file = new File( pth + "Upload/" + key );

			//file.createNewFile(); 
				
			fos = new FileOutputStream( file );
				
			fos.write( input );

			fos.close();

			item.delete();
		}
	}
}
catch( IOException excp ) {

	int i, x;
	Throwable cause;
	StackTraceElement[] ste;
	String msg;
	
	msg = excp.getMessage();
	
	if( null != msg ) {
		
		out.println( "Msg: '" +  msg + "'" );	
	}
	
	out.println( "Excp: '" + excp.toString() + "'" );

	cause = excp.getCause();
	
	if( null != cause ) {
		
		out.println( "Cause: '" + excp.getCause().toString() + "'" );
	}
	
	ste = excp.getStackTrace();
	
	x = ste.length;
	
	if( x > 0 )  {
		
		out.println( "Stack Trace:" );
	}
	
	for( i = 0; i < x; ++i ) {
		
		out.println( "  " + ste[i].toString() );
	}	
}

%>

</body>
</html>