<!-- QANav Report Tracker Copyright 2004 - 2009 Ronald D. Grindle -->
<%@ page language="java" pageEncoding="utf-8" contentType="text/html;charset=utf-8" %>
<%@ page isThreadSafe="false" %>
<%@ page errorPage="/ErrPage.jsp" %>

<%@ page import="java.util.*" %>

<%@ page import="java.util.ArrayList" %>

<%@ page import="com.qanavigation.Basics.*" %>
<%@ page import="com.qanavigation.QNservices.*" %>
<%@ page import="RTObj.RTtoolsObj" %>

<%@ page import="RTtools.UserMailTool" %>

<%@ taglib prefix="fmt" uri="http://java.sun.com/jstl/fmt" %>
<fmt:setBundle basename="QNLabels"/>

<%! 
	boolean isAll = false;
	boolean isClosed = false;
	boolean isManaged = false;
	boolean isSrch = false;

	int i, j, x, y;
	int cols;
	int srtStrt = 3;
	int srtStrtCol = 0; 

	Rslt res = new Rslt();

	RsltString rVal;

	RsltTable m_AssgnLst;
	RsltTable m_ShpDocLst = null;

	String[] data;
	String oStr;

	String aGroup = "";
	String appl = "";
	String aRole = "";
	String assGroup = "";
	String assign = "";
	String aUser = "";
	String author = "";
	String aVal = "";
	String fixStat = "";
	String mode = "";
	String ntfyMsg = "";
	String role;
	String srchTxt = "";
	String strRO = "";
	String ticket = "";
	String uGroup = "";
	String user = "";
	String withEdit;
	String yGroup = "";

	String part1, part2, part3;
	String npart1, npart2, npart3;
%>

<%@ include file="jspf/UserRoles.jspf" %>

<%
	res.setOK();

	//ResourceBundle resBndl = ResourceBundle.getBundle("QNLabels", request.getLocale() );
	QNRscBundle resBndl = new QNRscBundle( "QNLabels", request.getLocale() );
	RsltTable rTbl;

	SrvltReqTools sTools = new SrvltReqTools( this, request );

	QNDBacc2 dBAcc = new QNDBacc2();

	RTtoolsObj rto = new RTtoolsObj( this, request, dBAcc );
	
	UserTool uTool = new UserTool( dBAcc.m_DB );

	user = request.getRemoteUser();
	yGroup = uTool.getGroupForUser( user );

	appl = sTools.getStrVal( "Appl" );
	assign = sTools.getStrVal( "Assign" );
	fixStat = sTools.getStrVal( "FixStat" );
	mode = sTools.getStrVal( "Mode" );
	ticket = sTools.getStrVal( "Ticket" );
	uGroup = sTools.getStrVal( "UGroup" );
	
	evalUser( request, resBndl );

	if( isSrvc ) {

		/*if( !( isSup ) ) { 

			// keep them in the box
			uGroup = yGroup;
			assGroup = yGroup;
		}*/
	}
	else {

		author = user;
		strRO = " readonly";
	}
	
	if( mode.compareTo( "Srch" ) == 0 ) {

		srchTxt = sTools.getStrVal( "SrchTxt" );

		isSrch = true;
		srtStrt = 2;
	}

	m_AssgnLst = uTool.getLst4Assgn( assGroup );
%>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
	<HEAD>

		<TITLE>Fix Report List</TITLE>

		<meta name="DC.Title" content="Fix List">
		<meta name="DC.Creator" content="Ronald D. Grindle">
		<meta name="DC.Publisher" content="QA Navigation">
		<meta name="DC.Date" content="2004-06-12">
		<meta name="DC.Identifier" content="http://www.qa-navigation.com/">
		<meta name="DC.Rights" content="Alle Rechte liegen beim Autor">
		
		<link rel=stylesheet type="text/css" href="QNStyle.css" >

<script type="text/javascript" src="incl/dhtml.js"></script>
<script type="text/javascript" src="incl/PnlTools.js"></script>
<script type="text/javascript" src="incl/DialTools.js"></script>
<script type="text/javascript" src="incl/TblSort.js"></script>
<script type="text/javascript" src="incl/LstTools.js"></script>
<script type="text/javascript" src="incl/RManTools.js"></script>
<script type="text/javascript" src="incl/datetimepicker.js"></script>

<script type="text/javascript">
<!--

<%@ include file="jspf/UserRolesScr2.jspf" %>

<%@ include file="jspf/PnlToolsLbls.jspf" %>


var m_href = self.location.href;

var m_srtStrt = <% out.print( srtStrt ); %>;

//var viewAppl = "VQANavDoc";
var viewAppl = "VFixFr.jsp";
var viewQNA = "ViewFix";

var blblCancel = <% out.print( "\"" + resBndl.getString( "blblCancel" ) + "\"" ); %>;
var blblChgStat = <% out.print( "\"" + resBndl.getString( "blblChgStat" ) + "\"" ); %>;
var blblDel = <% out.print( "\"" + resBndl.getString( "blblDel" ) + "\"" ); %>;
var blblEdit = <% out.print( "\"" + resBndl.getString( "blblEdit" ) + "\"" ); %>;
var blblView = <% out.print( "\"" + resBndl.getString( "blblView" ) + "\"" ); %>;
var blblInNW = <% out.print( "\"" + resBndl.getString( "blblInNW" ) + "\"" ); %>;

var lblFixStat = <% out.print( "\"" + resBndl.getString( "lblFixStat" ) + "\"" ); %>;
var lblTicket = <% out.print( "\"" + resBndl.getString( "lblTicket" ) + "\"" ); %>; 

var msgDelBrkLnk = <% out.print( "\"" + resBndl.getString( "msgDelBrkLnk" ) + "\"" ); %>;
var msgConfrmDel = <% out.print( "\"" + resBndl.getString( "msgConfrmDel" ) + "\"" ); %>;

var m_UID;
var m_noMenue;
var m_Reload;

var m_ImHere;

// ------------------------------------------
function presetSels() {
<%

	if( isSrvc ) {

		oStr = "preselSelByVal( \"Assign\", \"" + assign + "\" );";
		out.println( oStr );
	}

	oStr = "preselSelByVal( \"FixStat\", \"" + fixStat + "\" );";
	out.println( oStr );

	oStr = "preselSelByVal( \"Appl\", \"" + appl + "\" );";
	out.println( oStr );

		oStr = "preselSelByVal( \"UGroup\", \"" + uGroup + "\" );";
		out.println( oStr );
%>
}

// ----------------------------------------------
function reLoadLst( p_Default ) {

	frm = document.getElementsByName( "FilterForm" )[0];

	if( frm != null ) {

		if( parent !== undefined ) {

			parent.notifyEvent( "Proc", "" );
		}
		frm.submit();
	}
	else {

		self.location.href = p_Default;
	}
}

// ----------------------------------------------
function Startup() {

	m_noMenue = true;
	m_Reload = false;

	

	if( MS )  {

		document.body.onclick=MSaClickWin;
	}
	else {

		document.body.addEventListener( "click", aClickWin, true );
	}

	m_ImHere = true;

	presetSels();

	//sortTbl( "RepLst", "nUp", 0, m_srtStrt, m_srtStrtCol );
}
// -->
</script>
</head>

<body class="work" onLoad="Startup()">

<!-- p id="tst1">...</p>
<p id="tst2">...</p>
<p id="tst3">...</p>
<p id="tst4">...</p -->

<%
	QNDocLstr docLstr = new QNDocLstr( dBAcc.m_DB );

	Rslt2DArray docLst = new Rslt2DArray( true );

	if( docLst.checkRslt( docLstr ) ) {

		if( isSrch ) {

			docLst = docLstr.findFix( srchTxt, false );
			ntfyMsg = "FixLstOK";

	//out.println( "<p>Size '" + docLst.size() + "'</p>" );
		}
		else {

			docLst = docLstr.getAllFixLst( assign, uGroup, appl, "", fixStat );

			ntfyMsg = "FixLstOK";
		}
		
		if( res.checkRslt( docLst, true ) ) {

			docLst.sort( 9, true, true );
		}
	}

	if( res.checkRslt( docLst ) ) {
		out.println( "<p style=\"font-size:80%\">" + SFormatter.format( resBndl.getString( "lblNoRec" ), String.valueOf( docLst.size() ) ) + "</p>" );		
%>
	<table class="work" width="98%" id="RepLst">
		<tr>
<%  
		cols = 10; // the actual number of columns showed + the optionals for management!
%>
			<td class="work"><b><fmt:message key="lblTicket"/></b></td>
			<td class="work"><b><fmt:message key="lblFixStat"/></b></td>
			<td class="work"><b><fmt:message key="lblAuthor"/></b></td>
			<td class="work"><b><fmt:message key="lblGroup"/></b></td>
			<td class="work"><b><fmt:message key="lblFctn"/></b></td>
			<td class="work"><b><fmt:message key="lblTitle"/></b></td>
			<td class="work"><b><fmt:message key="lblDateFxd"/></b></td>
			<td class="work"><b><fmt:message key="lblDateShpd"/></b></td>
			<td class="work"><b><fmt:message key="lblShpdRel"/></b></td>
			<td class="work"><b><fmt:message key="lblAppl"/></b></td>
		</tr>

<%	if( !( isSrch ) ) { %>

		<tr>
			<form name="FilterForm" action="FixLst.jsp" method="post">

			<td class="work"><!-- input name="Ticket" type="text" size="4" value="< % out.println( ticket ); % >"/ --></td>

			<td class="work">
				<!-- input name="fixStat" type="text" size="10" value="<% out.println( fixStat ); %>"/ -->
				<select name="FixStat" size="1">
					<option value=""></option>
<!-- option value="rCfNR"><fmt:message key="valStat_rCfNR"/></option -->
<option value="rg"><fmt:message key="valStat_rg"/></option>
<!-- option value="wf"><fmt:message key="valStat_wf"/></option -->
<!-- option value="fd"><fmt:message key="valStat_fd"/></option -->
<!-- option value="rr"><fmt:message key="valStat_rr"/></option -->
<option value="rt"><fmt:message key="valStat_rt"/></option>
<option value="rs"><fmt:message key="valStat_rs"/></option>
<!-- option value="du"><fmt:message key="valStat_du"/></option -->
<option value="dr"><fmt:message key="valStat_dr"/></option>
<option value="sb"><fmt:message key="valStat_sb"/></option>
<option value="re"><fmt:message key="valStat_re"/></option>
<option value="sh"><fmt:message key="valStat_sh"/></option>
<option value="es"><fmt:message key="valStat_es"/></option>
<option value="cl"><fmt:message key="valStat_cl"/></option>
<!-- option value="bd"><fmt:message key="valStat_bd"/></option -->
<!-- option value="rv"><fmt:message key="valStat_rv"/></option -->
<option value="ts"><fmt:message key="valStat_ts"/></option>
<option value="ps"><fmt:message key="valStat_ps"/></option>
<option value="ev"><fmt:message key="valStat_ev"/></option>
<!-- option value="CfNR"><fmt:message key="valStat_CfNR"/></option -->
<option value="cr"><fmt:message key="valStat_cr"/></option>
<!-- option value="ct"><fmt:message key="valStat_ct"/></option -->
<!-- option value="nr"><fmt:message key="valStat_nr"/></option -->
<option value="tf"><fmt:message key="valStat_tf"/></option>
<option value="fx"><fmt:message key="valStat_fx"/></option>
<option value="as"><fmt:message key="valStat_as"/></option>
<option value="at"><fmt:message key="valStat_at"/></option>
<option value="rj"><fmt:message key="valStat_rj"/></option>
				</select>
			</td>

			<td class="work">
				<select name="Assign" size="1">
					<option value=""></option>
<%
		rTbl = uTool.getSrvcLst();

		if( res.checkRslt( rTbl ) ) {

			x = rTbl.size();

			for( i = 0; i < x; ++i ) {
				
				aUser = rTbl.getCell( 0, i );

				out.println( "<option value=\"" + aUser + "\">" + aUser + "</option>" );
			}
		}
%>
				</select>
				<!-- input name="Assign" type="text" size="10" value="<% out.println( assign ); %>"/ -->
			</td>

			<td class="work">
				<select name="UGroup" size="1">
					<option value=""></option>
<%
		rTbl = uTool.getUGroupLst();

		if( rTbl.isOK() ) {

			x = rTbl.size();

			for( i = 0; i < x; ++i ) {

				aGroup = rTbl.getCell( 0, i );

				out.println( "<option value=\"" + aGroup + "\">" + aGroup + "</option>" );
			}
		}
%>
				</select>
			</td>

			<!-- Fctn -->
			<td class="work"></td>
			<!-- Title -->
			<td class="work"></td>
			<!-- Fix Dat -->
			<td class="work"></td>
			<!-- Shp Dat -->
			<td class="work"></td>
			<!-- Shp Rel -->
			<td class="work"></td>
			<td class="work">						
				<select name="Appl" size="1">
					<option value=""></option>
<%
		rTbl = uTool.getApplLst();

		if( rTbl.isOK() ) {

			x = rTbl.size();

			for( i = 0; i < x; ++i ) {
			
				aVal = rTbl.getCell( 0, i );

				out.println( "<option value=\"" + aVal + "\">" + aVal + "</option>" );
			}
		}
%>
					</select>
				</td>
			</form>
		</tr>
<%	} %>

		<tr>
<%	// Row for sort icons

		i = 0;

		npart1 = "<td class=\"work\" width=\"48\"><input type=\"image\" src=\"rsc/ArrDwn.gif\" alt=\"Sort\" onclick=\"sortTbl('RepLst', 'nDwn', ";
		npart2 = ", " + srtStrt + ", " + srtStrtCol + ")\"><input type=\"image\" src=\"rsc/ArrUp.gif\" alt=\"Sort\" onclick=\"sortTbl('RepLst', 'nUp', ";
		npart3 = ", " + srtStrt + ", " + srtStrtCol + ")\"></td>";

		part1 = "<td class=\"work\" width=\"48\"><input type=\"image\" src=\"rsc/ArrDwn.gif\" alt=\"Sort\" onclick=\"sortTbl('RepLst', 'aDwn', ";
		part2 = ", " + srtStrt + ", " + srtStrtCol + ")\"><input type=\"image\" src=\"rsc/ArrUp.gif\" alt=\"Sort\" onclick=\"sortTbl('RepLst', 'aUp', ";
		part3 = ", " + srtStrt + ", " + srtStrtCol + ")\"></td>";

		out.println( npart1 + i + npart2 + i + npart3 );

		for( i = 1; i < cols; i++ ) {
		
			out.println( part1 + i + part2 + i + part3 );
		}
%>
		</tr>
<% // and the actual list
				
		x = docLst.size();

		for( i = 0; i < x; i++ ) {

			data = (String[])docLst.get( i );

			out.println( "<tr id=\"" + data[0] + "\" onMouseover=\"mOv(this.id)\" onMouseout=\"mOut(this.id, 'white')\" onClick=\"showFixLstMenu( this.id )\">" );

			//UID, Author, Appl, Fctn, Title, FixStat, FixDat, ShpDat, ShpRel, Ticket, Grp

			out.println( "<td class=\"work\">" + data[9] + "</td>" );
			out.println( "<td class=\"work\">" + resBndl.getString( "valStat_" + data[5] ) + "</td>" );
			out.println( "<td class=\"work\">" + data[1] + "</td>" );
			out.println( "<td class=\"work\">" + data[10] + "</td>" );
			out.println( "<td class=\"work\">" + SFormatter.chop( data[3], 20 ) + "</td>" );
			out.println( "<td class=\"work\">" + SFormatter.chop( data[4], 20) + "</td>" );
			out.println( "<td class=\"work\">" + data[6] + "</td>" );
			out.println( "<td class=\"work\">" + data[7] + "</td>" );
			out.println( "<td class=\"work\">" + data[8] + "</td>" );
			out.println( "<td class=\"work\">" + data[2] + "</td>" );
			out.println( "</tr>" );
		}
	}

	if( res.isOK() ) {

		out.println( "<script type=\"text/javascript\">notify( \"" + ntfyMsg + "\" );</script>" );	
	}
	else {

		//out.println( "<script type=\"text/javascript\">notifyErr( \"" + res.getRsltFinalMsg() + "\" );</script>" );
		//sTools.logErr( this, request, res );

		int ii, xx;
		ArrayList addInfo;

		String ss;
		
		addInfo = res.getRsltAddInfo();

		out.println( "### piQa Error Info ###<br>" );
		
		out.println( "Session ID: '" + request.getSession().getId() + "'<br>" );

//	 add user and application info!						
		/*			
   		out.println( "Path: '" + request.getPathInfo() + "'<br>" );
			out.println( "Path2: '" + request.getContextPath() + "'<br>" );
			out.println( "Path3: '" + request.getPathTranslated() + "'<br>" );
			out.println( "Path4: '" + request.getRequestURI() + "'<br>" );
			out.println( "Path: '" + request.getServletPath() + "'<br>" );
		*/
			
		out.println( "URL: '" + request.getRequestURL() + "'<br>" );
		
		out.println( "RemUser: '" + request.getRemoteUser() + "'<br>" );
		   
		out.println( "Request string: '" + request.getQueryString() + "'<br>" );
		
		out.println( "--- Rslt info:<br>" );
		   
		xx = addInfo.size();
			
		for( ii = 0; ii < xx; ++ii ) {

			ss = (String)addInfo.get( ii );
			ss += "<br>";
			
			out.println(  ss );
		}
		
		out.println( "--- Rslt status: " + RsltStatVal.label[ res.getRsltStatVal() ] + "<br>" );
	}
%>
	</table>

	<!-- required to fix IE Problem with select fields protruding -->
	<iframe id="selHider" src="javascript:'&lt;html&gt;&lt;/html&gt;';" scrolling="no" frameborder="0" style="position:absolute;width:10;height:10;top:-500;left:50;border:none;display:block;z-index:0;filter:Alpha(opacity=0);"></iframe>

	<div id="dialButMenu" style="visibility:hidden; position:absolute; top:-500; left:50;">
		<table class="dial" id="tbPopButMenu">		
		</table>
	</div>

<%@ include file="jspf/ComnDial.jspf" %>
<%@ include file="jspf/ProbManDial.jspf" %>

<!-- %@ include file="jspf/ErrHndl.jspf" % -->

<%

	dBAcc.close();
%>

</body>
</HTML>